dph0:
; disk 1
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000 ; 3 scratchpad words 
		dc.l	dirbuf,dpb0,0000,alv00 ; dirbuf,dpb,csv,alv

		IFEQ	AS_CPMLDR_BIOS
; disk 2
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv01

; disk 3
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv03
; disk 4
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv04
; disk 5
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv05
; disk 6
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv06
; disk 7
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv07
; disk 8
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv08
; disk 9
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv09
; disk 10
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv10
; disk 11
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv11
; disk 12
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv12
; disk 13
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv13
; disk 14
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpb,0000,alv14
; disk 15
		dc.l $0000	;  xlt
		dc.w $0000,$0000,$0000
		dc.l	dirbuf,dpbLast,0000,alv15
		ENDC

; First drive has a reserved track for CP/M
dpb0:
                dc.w 128 ;SPT - sectors per track
                dc.b 5   ;BSH - block shift factor
                dc.b 31  ;BLM - block mask
                dc.b 1   ;EXM - Extent mask
		dc.b	0 ; ** NEW for cp/m 68
                dc.w 2043 ;DSM (2047-4) dc.wM - Storage size (blocks - 1)
                dc.w 511 ;DRM - Number of directory entries - 1
		dc.w 0	; reserved
;                dc.b 240 ;AL0 - 1 bit set per directory block
;                dc.b 0   ;AL1 -            ""
                dc.w 0   ;CKS - DIR check vector size (DRM+1)/4 (0=fixed disk)
                dc.w 1   ;OFF - Reserved tracks


		IFEQ	AS_CPMLDR_BIOS

dpb:
                dc.w 128 ;SPT - sectors per track
                dc.b 5   ;BSH - block shift factor
                dc.b 31  ;BLM - block mask
                dc.b 1   ;EXM - Extent mask
		dc.b	0 ; ** NEW for cp/m 68
                dc.w 2047 ;dc.wM - Storage size (blocks - 1)
                dc.w 511 ;DRM - Number of directory entries - 1
		dc.w 0	; reserved
;                dc.b 240 ;AL0 - 1 bit set per directory block
;                dc.b 0   ;AL1 -            ""
                dc.w 0   ;CKS - DIR check vector size (DRM+1)/4 (0=fixed disk)
                dc.w 0   ;OFF - Reserved tracks

; Last drive is smaller because CF is never full 64MB or 128MB
dpbLast:
                dc.w 128 ;SPT - sectors per track
                dc.b 5   ;BSH - block shift factor
                dc.b 31  ;BLM - block mask
                dc.b 1   ;EXM - Extent mask
		dc.b	0 ; ** NEW for cp/m 68
                dc.w 511 ;dc.wM - Storage size (blocks - 1)  ; 511 = 2MB (for 128MB card), 1279 = 5MB (for 64MB card)
                dc.w 511 ;DRM - Number of directory entries - 1
		dc.w 0	; reserved
;                dc.b 240 ;AL0 - 1 bit set per directory block
;                dc.b 0   ;AL1 -            ""
                dc.w 0   ;CKS - DIR check vector size (DRM+1)/4 (0=fixed disk)
                dc.w 0   ;OFF - Reserved tracks
		ENDC

dirbuf:         ds.b 128                 ;scratch directory area
alv00:          ds.b 257                 ;allocation vector 0
		IFEQ	AS_CPMLDR_BIOS
alv01:          ds.b 257                 ;allocation vector 1
alv02:          ds.b 257                 ;allocation vector 2
alv03:          ds.b 257                 ;allocation vector 3
alv04:          ds.b 257                 ;allocation vector 4
alv05:          ds.b 257                 ;allocation vector 5
alv06:          ds.b 257                 ;allocation vector 6
alv07:          ds.b 257                 ;allocation vector 7
alv08:          ds.b 257                 ;allocation vector 8
alv09:          ds.b 257                 ;allocation vector 9
alv10:          ds.b 257                 ;allocation vector 10
alv11:          ds.b 257                 ;allocation vector 11
alv12:          ds.b 257                 ;allocation vector 12
alv13:          ds.b 257                 ;allocation vector 13
alv14:          ds.b 257                 ;allocation vector 14
alv15:          ds.b 257                 ;allocation vector 15
		ENDC

              